summaryrefslogtreecommitdiffstats
path: root/abs/core/krb5/krb5-kadmind
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2012-08-07 02:49:07 (GMT)
committerJames Meyer <james.meyer@operamail.com>2012-08-07 02:49:07 (GMT)
commit3fbf706c2e3d56272e71259100353af20fbfdd20 (patch)
treeb8bf89ee6ffeb46e8f0d3555d0bd57c0fc2332f7 /abs/core/krb5/krb5-kadmind
parent04a617c83b5da3028617d994309c3d66f56686aa (diff)
downloadlinhes_pkgbuild-3fbf706c2e3d56272e71259100353af20fbfdd20.zip
linhes_pkgbuild-3fbf706c2e3d56272e71259100353af20fbfdd20.tar.gz
linhes_pkgbuild-3fbf706c2e3d56272e71259100353af20fbfdd20.tar.bz2
krb5 1.10.2
-new
Diffstat (limited to 'abs/core/krb5/krb5-kadmind')
-rw-r--r--abs/core/krb5/krb5-kadmind40
1 files changed, 40 insertions, 0 deletions
diff --git a/abs/core/krb5/krb5-kadmind b/abs/core/krb5/krb5-kadmind
new file mode 100644
index 0000000..04df0dc
--- /dev/null
+++ b/abs/core/krb5/krb5-kadmind
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/kadmind`
+case "$1" in
+ start)
+ stat_busy "Starting Kerberos Admin Daemon"
+ if [ -z "$PID" ]; then
+ /usr/sbin/kadmind
+ fi
+ if [ ! -z "$PID" -o $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon krb5-kadmind
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Kerberos Admin Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon krb5-kadmind
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+ ;;
+esac
+exit 0